<?xml version="1.0" encoding="UTF-8"?>
<web-app version="3.0" xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd">
    <display-name>Punto de Venta Web</display-name>
    
    <!-- Configuracion de Servlets -->
    <servlet>
        <display-name>DWR Servlet</display-name>
        <servlet-name>DWRInvoker</servlet-name>
        <servlet-class>org.directwebremoting.servlet.DwrServlet</servlet-class>
        <init-param>
            <param-name>debug</param-name>
            <param-value>true</param-value>
        </init-param>
        <init-param>
            <param-name>logLevel</param-name>
            <param-value>FATAL</param-value>
        </init-param>
        <init-param>
            <param-name>crossDomainSessionSecurity</param-name>
            <param-value>false</param-value>
        </init-param>
        <init-param>
            <param-name>jsonpEnabled</param-name>
            <param-value>true</param-value>
        </init-param>
        <init-param>
            <param-name>classes</param-name>
            <param-value>
                co.mobiltech.teca.mvc.fachada.FachadaSeguridad,
                co.mobiltech.teca.mvc.fachada.FachadaAppTeca
            </param-value>
        </init-param>
    </servlet>
    
    <!-- Configuracion de Mapeo de Servlets -->
    <servlet-mapping>
        <servlet-name>DWRInvoker</servlet-name>
        <url-pattern>/dwr/*</url-pattern>
    </servlet-mapping>
    
    <!-- Configuracion de Paginas de Inicio -->
    <welcome-file-list>
        <welcome-file>index_ctr.jsp</welcome-file>
    </welcome-file-list>
    
    <!-- Configuracion de tiempo de sesion -->
    <session-config>
        <session-timeout>15</session-timeout>
    </session-config>
    
    <!-- Configuracion de los Resources a Base de Datos -->
    <resource-ref>
        <description>DB Connection</description>
        <res-ref-name>jdbc/teca</res-ref-name>
        <res-type>javax.sql.ConnectionPoolDataSource</res-type>
        <res-auth>Container</res-auth>
    </resource-ref>

    <!-- Configuracion de Seguridad -->   
    
    <security-constraint>
        <web-resource-collection>
            <web-resource-name>GeneralArea</web-resource-name>
            <url-pattern>/dwr/*</url-pattern>
        </web-resource-collection>
        <auth-constraint>
            <role-name>*</role-name>
        </auth-constraint>
        <user-data-constraint>
            <transport-guarantee>NONE</transport-guarantee>
        </user-data-constraint>
    </security-constraint>
    
    <security-constraint>
        <web-resource-collection>
            <web-resource-name>Protected_Admin_Area</web-resource-name>
            <url-pattern>/index.jsp</url-pattern>
        </web-resource-collection>
        <auth-constraint>
            <role-name>USER_WEB</role-name>
        </auth-constraint>
        <user-data-constraint>
            <transport-guarantee>NONE</transport-guarantee>
        </user-data-constraint>
    </security-constraint>

    <!-- Configuracion de Login -->
    <login-config>
        <auth-method>FORM</auth-method>
        <realm-name>JDBCRealmTeca</realm-name>
        <form-login-config>
            <form-login-page>/login.jsp</form-login-page>
            <form-error-page>/login.jsp?error=Credenciales Incorrectas</form-error-page>
        </form-login-config>
    </login-config>
    
    <!-- Configuracion de Roles de Seguridad -->
    <security-role>
        <description>Usuarios validos</description>
        <role-name>USER_WEB</role-name>
    </security-role>
    
    <!-- Configuracion de variables de contexto -->
    <env-entry>
        <description>Ruta donde quedan guardadas los imagenes de perfil (S.O. Windows)</description>
        <env-entry-name>ruta_imagen_perfil_windows</env-entry-name>
        <env-entry-type>java.lang.String</env-entry-type>
        <env-entry-value>C:\teca\perfil\</env-entry-value>
    </env-entry>
    <env-entry>
        <description>Ruta donde quedan guardadas los imagenes de perfil (S.O. Linux)</description>
        <env-entry-name>ruta_imagen_perfil_linux</env-entry-name>
        <env-entry-type>java.lang.String</env-entry-type>
        <env-entry-value>/opt/teca/files/img/perfil/</env-entry-value>
    </env-entry>
    
    <env-entry>
        <description>Ruta donde quedan guardados los pdfs Generados(S.O. Linux)</description>
        <env-entry-name>ruta_archivo_linux</env-entry-name>
        <env-entry-type>java.lang.String</env-entry-type>
        <env-entry-value>/opt/teca/files/archivos/</env-entry-value>      
    </env-entry>
    <env-entry>
        <description>Ruta donde quedan guardados los pdfs Generados(S.O. Windows</description>
        <env-entry-name>ruta_archivo_windows</env-entry-name>
        <env-entry-type>java.lang.String</env-entry-type>
        <env-entry-value>C:\teca\archivos\</env-entry-value>
    </env-entry>
         
</web-app>
